L’installation de Rails a échoué sur Ubuntu avec “impossible de charger un tel fichier – mkmf”

J’ai ce problème lors de l’installation de Rails sur Ubuntu 11:

root@salah:/home/salah/rubygems-1.8.15# sudo gem install mysql Fetching: mysql-2.8.1.gem (100%) Building native extensions. This could take a while... ERROR: Error installing mysql: ERROR: Failed to build gem native extension. /usr/bin/ruby1.9.1 extconf.rb /usr/local/lib/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError) from /usr/local/lib/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from extconf.rb:10:in `' Gem files will remain installed in /usr/lib/ruby/gems/1.9.1/gems/mysql-2.8.1 for inspection. Results logged to /usr/lib/ruby/gems/1.9.1/gems/mysql-2.8.1/ext/mysql_api/gem_make.out 

mkmf fait partie du paquetage ruby-dev si je ne me trompe pas. Essayer:

 sudo aptitude install ruby1.9.1-dev 

Bien sûr, il vaut peut-être mieux installer Ruby via RVM 🙂

Pour Ubuntu 13.04, c’est ce qui a fonctionné pour moi:

 sudo apt-get install ruby-dev 

essayez rvm all do gem install nokogiri